# Deposit Callback

## Deposit Callback

In this step, we are sending you a webhook with the status of the payment to your provided URL in the FCF Pay dashboard as a project callback URL.&#x20;

This webhook happens when you receive payment.

The request has a JSON body value like this:

```
{
  "success": true,
  "data": {
    "type":"deposit",
    "order_id": "Test123"
  },
  "message": "Payment Received"
}
```

| Field     | Description                                |
| --------- | ------------------------------------------ |
| type      | Callback type                              |
| order\_id | The order\_id that has received a payment. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.fcfpay.com/reference/api-requests-v2/deposit-callback.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
